Get repayment account details
curl --request GET \
--url https://api-sandbox.circle.com/v1/credit/repaymentAccounts/{fiatAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/credit/repaymentAccounts/{fiatAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/credit/repaymentAccounts/{fiatAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"description": "WELLS FARGO BANK, NA ****1111",
"status": "active",
"wireInstructions": {
"trackingRef": "CIR28XYS2F",
"beneficiary": {
"name": "CIRCLE INTERNET FINANCIAL INC",
"address1": "1 Main Street",
"address2": "Suite 1"
},
"beneficiaryBank": {
"swiftCode": "SVBKUS6S",
"routingNumber": "121140399",
"accountNumber": "3302726104",
"currency": "USD",
"name": "SILICON VALLEY BANK",
"address": "3003 TASMAN DRIVE",
"city": "SANTA CLARA",
"postalCode": "95054",
"country": "US"
}
}
}
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 404,
"message": "Not found."
}Get repayment account details
Returns repayment account details and wire instructions for making a credit repayment using the specified fiat account.
GET
/
v1
/
credit
/
repaymentAccounts
/
{fiatAccountId}
Get repayment account details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the wire bank account to retrieve repayment details for.
Response
Successfully retrieved repayment account details.
Repayment account details including wire instructions for making a credit repayment.
Show child attributes
Show child attributes
Was this page helpful?
⌘I